#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 foldl
version:              1.4.10
visibility:           public
id:                   foldl-1.4.10-JnMxUVhrF3iFwgb4VjHueb
key:                  foldl-1.4.10-JnMxUVhrF3iFwgb4VjHueb
license:              BSD-3-Clause
copyright:            2013 Gabriel Gonzalez
maintainer:           Gabriel439@gmail.com
author:               Gabriel Gonzalez
synopsis:             Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.

category:             Control
abi:                  22b72dfbe77e8ade009bb0efd645bcd4
exposed:              True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.Text
    Control.Scanl

hidden-modules:
    Control.Foldl.Optics Control.Foldl.Internal
    Control.Foldl.Util.Vector Control.Foldl.Util.MVector

import-dirs:          /usr/lib/ghc-8.10.2/site-local/foldl-1.4.10
library-dirs:         /usr/lib/ghc-8.10.2/site-local/foldl-1.4.10
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.2/foldl-1.4.10
hs-libraries:         HSfoldl-1.4.10-JnMxUVhrF3iFwgb4VjHueb
depends:
    base-4.14.1.0 bytestring-0.10.10.0
    comonad-5.0.6-LVpKSk5ir0981oRVL7YYgK containers-0.6.2.1
    contravariant-1.5.2-9cUYDQvrBi493NpHNvxLum
    hashable-1.3.0.0-1qHAALw6V3KFC8KcGIO5Ie
    mwc-random-0.15.0.1-7M8AER6TIaE51T851qpK1e
    primitive-0.7.1.0-KEQt2pfTZ3R3svVn0lCBpv
    profunctors-5.6-AiReZ3JbdTCCNfrTKCHLlV
    semigroupoids-5.3.4-8SYHC4pFUqP14yaFpCbN5z text-1.2.3.2
    transformers-0.5.6.2
    unordered-containers-0.2.13.0-7jajDWNmlIpBHz95ShzOz6
    vector-0.12.1.2-2RftPi1Wv2O9pWjpJnOFtm

haddock-interfaces:   /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html:         /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

